OrcProto.StripeStatisticsOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.StripeStatisticsOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.StripeStatistics, OrcProto.StripeStatistics.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.StripeStatisticsOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.ColumnStatistics` | `getColStats(int index)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `int` | `getColStatsCount()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `List<OrcProto.ColumnStatistics>` | `getColStatsList()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.ColumnStatisticsOrBuilder` | `getColStatsOrBuilder(int index)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `List<? extends OrcProto.ColumnStatisticsOrBuilder>` | `getColStatsOrBuilderList()` `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getColStatsList

          List<OrcProto.ColumnStatistics> getColStatsList()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### getColStats

          OrcProto.ColumnStatistics getColStats(int index)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### getColStatsCount

          int getColStatsCount()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### getColStatsOrBuilderList

          List<? extends OrcProto.ColumnStatisticsOrBuilder> getColStatsOrBuilderList()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### getColStatsOrBuilder

          OrcProto.ColumnStatisticsOrBuilder getColStatsOrBuilder(int index)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.